- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Rp_username_token

## Typedefs
typedef struct rp_username_token_t | rp_username_token_t
## Enumerations
enum | password_type_t { PASSWORD_PLAIN = 0, PASSWORD_HASH, PASSWORD_NONE }
## Functions
AXIS2_EXTERN rp_username_token_t * | rp_username_token_create (const axutil_env_t *env)
AXIS2_EXTERN void | rp_username_token_free (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | rp_username_token_get_inclusion (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_username_token_set_inclusion (rp_username_token_t *username_token, const axutil_env_t *env, axis2_char_t *inclusion)
AXIS2_EXTERN axis2_bool_t | rp_username_token_get_useUTprofile10 (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_username_token_set_useUTprofile10 (rp_username_token_t *username_token, const axutil_env_t *env, axis2_bool_t useUTprofile10)
AXIS2_EXTERN axis2_bool_t | rp_username_token_get_useUTprofile11 (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_username_token_set_useUTprofile11 (rp_username_token_t *username_token, const axutil_env_t *env, axis2_bool_t useUTprofile11)
AXIS2_EXTERN axis2_char_t * | rp_username_token_get_issuer (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_username_token_set_issuer (rp_username_token_t *username_token, const axutil_env_t *env, axis2_char_t *issuer)
AXIS2_EXTERN derive_key_type_t | rp_username_token_get_derivedkey_type (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_username_token_set_derivedkey_type (rp_username_token_t *username_token, const axutil_env_t *env, derive_key_type_t derivedkey)
AXIS2_EXTERN axis2_bool_t | rp_username_token_get_is_issuer_name (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_username_token_set_is_issuer_name (rp_username_token_t *username_token, const axutil_env_t *env, axis2_bool_t is_issuer_name)
AXIS2_EXTERN axiom_node_t * | rp_username_token_get_claim (rp_username_token_t *username_token, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_username_token_set_claim (rp_username_token_t *username_token, const axutil_env_t *env, axiom_node_t *claim)
AXIS2_EXTERN axis2_status_t | rp_username_token_increment_ref (rp_username_token_t *username_token, const axutil_env_t *env)